package com.njcn.csdevice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.csdevice.pojo.po.CsDeviceRegistry;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xy
 * @since 2026-06-17
 */
public interface ICsDeviceRegistryService extends IService<CsDeviceRegistry> {

    boolean add(List<CsDeviceRegistry> list);

    boolean update(CsDeviceRegistry csDeviceRegistry);

    boolean updateBatch(List<CsDeviceRegistry> list);

    boolean delete(String id);

    boolean updateIsAccessByCurrentNdid(String currentNdid, Integer isAccess);

    void deleteByCurrentNdid(String currentNdid);

    List<CsDeviceRegistry> queryByCurrentNdid(String currentNdid);

    CsDeviceRegistry queryByCurrentNdidAndClDid(String currentNdid, Integer clDid);
}
